[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Clear

Clears the pointer list.

## Declaration

Source position: classesh.inc line 328

`public procedure TList.Clear; virtual;`

## Description

Clear removes all pointers from the list, and sets the capacity to 0, thus freeing any memory allocated to maintain the list.

## See also

Destroy |  | Destroys the list and releases the memory used to store the list elements.